Subject: bug#55113: closed (Re: bug#55113: [BUG] texlive-bin doesn't set $TEXMFCACHE properly)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 26 Sep 2024 15:06:02 +0000

Your bug report

#55113: [BUG] texlive-bin doesn't set $TEXMFCACHE properly

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
55113: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=55113
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#55113: [BUG] texlive-bin doesn't set $TEXMFCACHE properly
From: Nicolas Goaziou <[email-masked]>
To: Maxim Cournoyer <[email-masked]>
Cc: [email-masked]
Date: Thu, 26 Sep 2024 17:04:09 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

Maxim Cournoyer <[email-masked]> writes:

> tags 55113 - moreinfo quit

This is actually fixed in latest TeX Live update.

I'm closing it.

Regards,
-- 
Nicolas Goaziou

Subject: [BUG] texlive-bin doesn't set $TEXMFCACHE properly
From: Christopher Rodriguez <[email-masked]>
To: [email-masked]
Date: Mon, 25 Apr 2022 14:10:52 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello all,

I'm currently switching from using the monolithic texlive package to a
bunch of the broken-out, smaller ones. However, when texlive-bin is
installed (and thus, when luaotfload-tool is available), the environment
variable $TEXMFCACHE is not defined. This leads to it being auto-detected
(and incorrectly identified somehow as
`$PWD/'{'$GUIX_PROFILE/share/texmf-dist` which is read-only.)

As a workaround, I have added an explicit definition for $TEXMFCACHE in
my .bash_profile, but I wanted to report this as a bug in case someone
more familiar with the package could fix it.

--

Christopher Rodriguez